// minimal fragment shader
// www.lighthouse3d.com


varying vec4 diffuse; 
varying vec3 normal,lightDir,halfVector;
//varying float dist;

void main()
{
  vec3 n,halfV,viewV,ldir;
  float NdotL,NdotHV;
  vec4 color = vec4(0.0, 0.0, 0.0, 1.0);

  // a fragment shader can't write a varying variable, hence we need
  // a new variable to store the normalized interpolated normal 
  n = normalize(normal);

  // compute the dot product between normal and normalized lightdir */
  
  NdotL = max(dot(n,normalize(lightDir)),0.0);

  if (NdotL > 0.0) {

    color += (diffuse * NdotL);
    
    halfV = normalize(halfVector);
    
    NdotHV = max(dot(n,halfV),0.0);
    //    color += gl_FrontMaterial.specular * gl_LightSource[0].specular * pow(NdotHV,gl_FrontMaterial.shininess);
    color += pow(NdotHV,64.0)*vec4(1.0, 0.0, 0.0, 1.0);
  }

  gl_FragColor = color;
}
